#include "common.h"

int zpcidev_manage_f_open(struct inode *inode, struct file *file);

int zpcidev_manage_f_close(struct inode *inode, struct file *file);

long zpcidev_manage_f_ioctl(struct file *file, unsigned int cmd, unsigned long _arg);

board_node_t* create_board_info(zpcidev_device *d);

void zpcidev_manage_miscdev_update_board_info(void);

void zpcidev_manage_miscdev_update_table(void);

int pcidev_manage_miscdev_register(zpcidev_device *d);